package puzzle;

import static puzzle.SwedishGenerator.*;
public final class DictData {
  private DictData() {}

  public static final Dict DICT = build();

  private static Dict build() {
    DictEntry[] idx = new DictEntry[MAX_WORD_LENGTH_PLUS_ONE];
    idx[2] = DictDataL2.entry();
    idx[3] = DictDataL3.entry();
    idx[4] = DictDataL4.entry();
    idx[5] = DictDataL5.entry();
    idx[6] = DictDataL6.entry();
    idx[7] = DictDataL7.entry();
    idx[8] = DictDataL8.entry();
    return new Dict(idx, 40670);
  }
}
